\paper {
  ragged-bottom = ##f
  ragged-last-bottom = ##f
}

\layout {
  \context {
    \type "Engraver_group"
    \name "MarkLine"
    \consists "Output_property_engraver"
    \consists "Axis_group_engraver"
    \consists "Mark_engraver"
    \consists "Metronome_mark_engraver"
    \consists "Script_engraver"
    \consists "Text_engraver"
    \consists "Text_spanner_engraver"
    \consists "Font_size_engraver"
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-2 . 2 )
  }
  \context {
    \Score
    \accepts "MarkLine"
    \override Glissando #'breakable = ##t
    \override TextSpanner #'breakable = ##t
    \override DynamicSpanner #'breakable = ##t
  }
  \context {
    \StaffGroup
    \accepts "MarkLine"
  }
  \context {
    \InnerStaffGroup
    \accepts "MarkLine"
  }
  \context {
    \ChoirStaff
    \accepts "MarkLine"
  }
  \context {
    \InnerChoirStaff
    \accepts "MarkLine"
  }
  \context {
    \GrandStaff
    \accepts "MarkLine"
  }
  \context {
    \PianoStaff
    \accepts "MarkLine"
  }
}

moltocresc = \markup { \bold \italic "Molto cresc." }
allegroassai = \markup { \bold \italic "Allegro assai" }
allegro = \markup { \bold \italic "Allegro" }
agitato = \markup { \bold \italic "Agitato" }
gliss = \markup { \bold \italic "Gliss." }
simile = \markup { \bold "Simile" }
sim = \markup { \bold "Sim." }
piz = \markup { \bold "Pizz." }
arc = \markup { \bold "Arco" }
ramtostar = \markup { \bold { \italic "Play randomly to the sign" } \fontsize #2 "*" }
star = \markup { \bold \fontsize #2 "*" }
fltg = \markup { \bold "Fltg." }
cl = \markup { \bold \italic "Col legno battuto" }
div = \markup { \bold "Div." }
nondiv = \markup { \bold "Non div." }
unis = \markup { \bold "Unis." }

headsOn = \sequential {
  \override Dots #'transparent = ##t
  \override NoteHead #'no-ledgers = ##t
  \override Stem #'transparent = ##t
  \override Beam  #'transparent = ##t
}
headsOff = \sequential {
  \revert Dots #'transparent
  \revert NoteHead #'no-ledgers
  \revert Stem #'transparent
  \revert Beam #'transparent
}

hideAcc = \sequential {
  \override Accidental #'stencil = ##f
}
unhideAcc = \sequential {
  \revert Accidental #'stencil
}

str = { \change Staff = rh }
stl = { \change Staff = lh }
#(define-markup-command (vspace layout props amount) (number?)
  "This produces a invisible object taking vertical space."
  (let ((amount (* amount 3.0)))
    (if (> amount 0)
        (ly:make-stencil "" (cons -1 1) (cons 0 amount))
        (ly:make-stencil "" (cons -1 1) (cons amount amount)))))

